Method: projects.locations.privateOffers.cancel

Cancels the target PrivateOffer.

HTTP request

POST https://commerceproducer.googleapis.com/v1beta/{name=projects/*/locations/*/privateOffers/*}:cancel

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Name of the resource

Request body

The request body contains data with the following structure:

JSON representation
{
  "cancellationNote": string
}
Fields
cancellationNote

string

Optional. Internal note relating to the cancellation. Stored on the cancelled offer. Not visible to customers.

Response body

If successful, the response body contains an instance of PrivateOffer.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • commerceproducer.privateOffers.cancel

For more information, see the IAM documentation.